David542 David542 - 1 year ago 252
Python Question

How to install django 1.4

When trying to download django through:

sudo pip uninstall django


However, this downloads the new version of django 1.5. How would I force download version 1.4 through pip? Here is what I get when trying to install:

imac9:site-packages pdadmin$ sudo pip install django==1.4.1
Downloading/unpacking django==1.4.1
Running setup.py egg_info for package django

warning: no previously-included files matching '__pycache__' found under directory '*'
warning: no previously-included files matching '*.py[co]' found under directory '*'
Requested django==1.4.1, but installing version 1.5.1
Installing collected packages: django
Found existing installation: Django 1.5.1

Answer Source

This can be done by using this command

sudo pip install django==1.4 #or any desired version.

should work.

Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download